Summary:	Text editor for Xfce based on Leafpad
Summary(pl.UTF-8):	Edytor tekstu dla Xfce oparty na Leafpadzie
Name:		mousepad
Version:	0.4.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Editors
Source0:	http://archive.xfce.org/src/apps/mousepad/0.4/%{name}-%{version}.tar.bz2
# Source0-md5:	f55314c5dda6323883241e6cf01550a7
Patch0:		%{name}-desktop.patch
URL:		http://www.xfce.org/projects/mousepad/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	gtksourceview2-devel >= 2.2.2
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	xfce4-dev-tools >= 4.12.0
Requires:	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mousepad is a lightweight text editor for Xfce. It features a simple
interface, broad character set support, printing with Xfprint, and
more. It opens lightening quick, making it perfect for editing config
files, doing quick scripting, and pretty printing documents like shell
scripts.

%description -l pl.UTF-8
Mousepad jest lekkim edytorem tekstowym dla Xfce. Cechuje go prosty
interfejs, obsługa wielu zestawów znaków, drukowanie przy pomocy
Xfprint i wiele więcej. Uruchamia się błyskawicznie, dzięki czemu jest
idealny do edycji plików konfiguracyjnych, pisania małych skryptów i
pięknego drukowania dokumentów takich jak skrypty powłoki.

%prep
%setup -q
%patch0 -p1

mkdir -p m4

%{__sed} -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mousepad
%{_desktopdir}/mousepad.desktop
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.gschema.xml
%changelog
* Tue Mar 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mousepad.git;a=log;h=master

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 6110f65
- up to 0.4.0

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 884b040
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ef31348
- updated gettext BR

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> 3bc142c
- libxfcegui4-devel may be superfluous !

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> 5fc38ec
- up to 0.3.0, it is not dead! a complete rewrite in codebase

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 03d56db
- release 4

* Sun Sep 18 2011 Elan Ruusamäe <glen@pld-linux.org> 709147a
- update-desktop-database (.desktop specifies MimeType)

* Tue May 11 2010 Jan Rękorajski <baggins@pld-linux.org> b220724
- rel 2
- desktop file cleanup

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bfe76d
- drop obsolete files

* Sat Feb 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 6f2c4ad
- updated URL

* Fri Feb 27 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 9f41dde
- updated for 0.2.16

* Fri Feb 27 2009 Marcin Banasiak <marcin.banasiak@gmail.com> d905f4b
- updated to 0.2.16
- removed obsolete -locale-names.patch

* Mon Oct 27 2008 Paweł Gołaszewski <blues@pld-linux.org> 2c62a71
- pt_PT fixed

* Mon Oct 27 2008 Paweł Gołaszewski <blues@pld-linux.org> e99746b
- 0.2.14

* Fri Dec 07 2007 Marcin Banasiak <marcin.banasiak@gmail.com> d92659e
- new

* Fri Dec 07 2007 Marcin Banasiak <marcin.banasiak@gmail.com> f1720f4
- updated to 0.2.13
- added locale-names patch

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 17f6bd1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 649d4ae
- converted to UTF-8

* Mon Jan 22 2007 Marcin Banasiak <marcin.banasiak@gmail.com> b950b33
- updated to 0.2.12 (Xfce 4.4.0)

* Mon Nov 06 2006 Marcin Banasiak <marcin.banasiak@gmail.com> b62ab4c
- up to 0.2.10 (Xfce 4.4RC2)
- updated deps

